let moduleRouters = [{
    root: true,
    path: '/video-monitor',
    component: () => import(/* webpackChunkName: "root" */ './views/index.vue'),
    children: [
      {
        path: '',
        redirect: 'about'
      },
      {
        path: 'about',
        name: 'about',
        component: () => import(/* webpackChunkName: "about" */ './views/about.vue')
      }
    ]
  },
  {
    path: '/video-monitor',
    component: () => import(/* webpackChunkName: "root" */ './views/index.vue'),
    children: [
      {
        path: 'about1',
        name: 'about1',
        component: () => import(/* webpackChunkName: "about1" */ './views/about1.vue')
      }
    ]
  }
];

let routeMap = {};
function mergeRoute(root, children) {
  for (let child of children) {
    let matched = root.children.find(r => r.path === child.path);
    if (matched) {
      mergeRoute(matched, child);
    } else {
      root.children.push(child);
    }
  }
}
for (let route of moduleRouters) {
  let rootRouter = routeMap[route.path];
  if (route.root) {
    rootRouter = route;
    delete rootRouter.root;
    route = routeMap[route.path];
  }
  if (route) {
    mergeRoute(rootRouter, route.children);
  }
  routeMap[rootRouter.path] = rootRouter;
}
moduleRouters = Object.values(routeMap);
console.log(JSON.stringify(moduleRouters));